Last modified: 2014-02-12 23:52:40 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35911 - direction in MobileFrontend is always based on the wiki's content language
direction in MobileFrontend is always based on the wiki's content language
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl 35919
  Show dependency treegraph
 
Reported: 2012-04-12 13:33 UTC by Amir E. Aharoni
Modified: 2014-02-12 23:52 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-04-12 13:33:32 UTC
The direction of interface messages in MobileFrontent seems to be always based on $wgLanguageCode.

So, for example, if $wgLanguageCode is "en" and you ask for a page with uselang=he, the interface messages will appear as LTR, and that would be wrong. Among other things, the ellipsis at the end of the search label will appear on the right-hand side, even though it's supposed to be on the left-hand side for Hebrew. For comparison, you can easily use http://en.wikipedia.org/?uselang=he and see English content with Hebrew interface.

Since MediaWiki 1.18, core MediaWiki supports good separation between interface language and content language (Bug 6100). The scenario described above is not, by itself, very important, so this bug does not currently have a high priority, but ideally BiDi practices from core MediaWiki should be used as much as possible in MobileFrontend, too.
Comment 1 Max Semenik 2012-04-24 20:44:54 UTC
Amir, does it look OK with https://gerrit.wikimedia.org/r/#change,5361 ?
Comment 2 Amir E. Aharoni 2012-04-25 12:48:46 UTC
I didn't review the code in detail, but the problem as described in the opening comment doesn't appear any more in this version.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links